lewd_noita_perks = {
	{
		id = "LN_CHARMER",
		ui_name = "$perk_ln_charmer",
		ui_description = "$perkdesc_ln_charmer",
		ui_icon = "mods/lewd_noita/files/perks/charmer_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/charmer.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			add_halo_level(entity_who_picked, 1)
		end,
	},
	{
		id = "LN_NYMPHOMANIA",
		ui_name = "$perk_ln_nymphomania",
		ui_description = "$perkdesc_ln_nymphomania",
		ui_icon = "mods/lewd_noita/files/perks/nymphomania_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/nymphomania.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			add_halo_level(entity_who_picked, 1)
		end,
	},
	{
		id = "LN_WHORE",
		ui_name = "$perk_ln_whore",
		ui_description = "$perkdesc_ln_whore",
		ui_icon = "mods/lewd_noita/files/perks/whore_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/whore.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			add_halo_level(entity_who_picked, -1)
		end,
	},
	{
		id = "LN_SUCCUBUS",
		ui_name = "$perk_ln_succubus",
		ui_description = "$perkdesc_ln_succubus",
		ui_icon = "mods/lewd_noita/files/perks/succubus_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/succubus.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			add_halo_level(entity_who_picked, -1)
		end,
	},
	{
		id = "LN_SEXFURY",
		ui_name = "$perk_ln_sexfury",
		ui_description = "$perkdesc_ln_sexfury",
		ui_icon = "mods/lewd_noita/files/perks/sexfury_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/sexfury.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			add_halo_level(entity_who_picked, -1)
		end,
	},
	{
		id = "LN_CONNOISSEUR",
		ui_name = "$perk_ln_connoisseur",
		ui_description = "$perkdesc_ln_connoisseur",
		ui_icon = "mods/lewd_noita/files/perks/connoisseur_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/connoisseur.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			add_halo_level(entity_who_picked, 1)
		end,
	},
	{
		id = "LN_HELLHOUND",
		ui_name = "$perk_ln_hellhound",
		ui_description = "$perkdesc_ln_hellhound",
		ui_icon = "mods/lewd_noita/files/perks/hellhound_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/hellhound.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			local player_x, player_y = EntityGetTransform(entity_who_picked)
			local hellhound = EntityLoad("mods/lewd_noita/files/enemies/hellhound_egg.xml", player_x, player_y)
			add_halo_level(entity_who_picked, -1)
		end,
	},
	{
		id = "LN_PURE",
		ui_name = "$perk_ln_pure",
		ui_description = "$perkdesc_ln_pure",
		ui_icon = "mods/lewd_noita/files/perks/pure_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/pure.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = true,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			add_halo_level(entity_who_picked, 1)
		end,
	},
}

for i = 1, #lewd_noita_perks do
	table.insert(perk_list, lewd_noita_perks[i])
end